%global beta_number b3

Summary:        Collection of tasks for Ant
Name:           ant-contrib
Version:        1.0
Release:        %mkrel 0.12.%{beta_number}.1
License:        ASL 2.0
URL:            http://ant-contrib.sourceforge.net/
Group:          Development/Java 
Source0:        http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}%{beta_number}-src.tar.gz
Source1:        http://mirrors.ibiblio.org/pub/mirrors/maven2/%{name}/%{name}/%{version}%{beta_number}/%{name}-%{version}%{beta_number}.pom
Patch0:         ant-contrib-local-ivy.patch
Patch1:         ant-contrib-antservertest.patch

BuildRequires:  java-devel >= 1.4.2
BuildRequires:  java-rpmbuild
BuildRequires:  jpackage-utils >= 1.5

BuildRequires:  ant-junit >= 1.6.2
BuildRequires:  apache-ivy
BuildRequires:  bcel >= 5.0
BuildRequires:  junit >= 3.8.0
BuildRequires:  xerces-j2

Requires:       ant >= 1.6.2
Requires:       java >= 1.4.2
Requires:       jpackage-utils >= 1.5
Requires:       junit >= 3.8.0
Requires:       xerces-j2
BuildArch:      noarch

%description
The Ant-Contrib project is a collection of tasks
(and at one point maybe types and other tools)
for Apache Ant.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Books/Computer books 

%description    javadoc
Api documentation for %{name}.

%prep
%setup -q -n %{name}

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

# needs porting to latest ivy
rm -fr src/java/net/sf/antcontrib/net/URLImportTask.java

%patch0 -p1
%patch1

%build

export CLASSPATH=$(build-classpath ivy)
ant dist

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -Dpm 644 target/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/ant/%{name}.jar

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr target/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}
rm -rf build/docs/api

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ant.d
echo "ant/%{name}" > $RPM_BUILD_ROOT%{_sysconfdir}/ant.d/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.ant-%{name}.pom
sed -i 's|<groupId>ant</groupId>|<groupId>org.apache.ant</groupId>|' $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.ant-%{name}.pom
%add_maven_depmap JPP.ant-%{name}.pom ant/%{name}.jar

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_sysconfdir}/ant.d/%{name}
%{_javadir}/ant/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/%{name}
%doc target/docs/LICENSE.txt
%doc target/docs/manual/tasks/*

%pre javadoc
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :

%files javadoc
%doc %{_javadocdir}/%{name}

# -----------------------------------------------------------------------------



%changelog

* Fri Dec 16 2011 gil <gil> 1.0-0.12.b3.1.mga2
+ Revision: 182521
- fix ant groupId
- update to 1.0b3

* Mon Jan 24 2011 dmorgan <dmorgan> 1.0-0.11.b2.1.mga1
+ Revision: 35884
- Adapt for mageia
- imported package ant-contrib


* Fri Jan 14 2011 Alexander Kurtakov <akurtako@redhat.com> 1.0-0.11.b2
- Add maven pom and depmap.

* Fri Sep 4 2009 Alexander Kurtakov <akurtako@redhat.com> 1.0-0.10.b2
- Install ant contrib in ant.d.

* Fri Sep 4 2009 Alexander Kurtakov <akurtako@redhat.com> 1.0-0.9.b2
- Drop gcj_support.
- Install as proper ant plugin.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.8.b2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.7.b2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jul 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0-0.6.b2
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0-0.5.b2
- Autorebuild for GCC 4.3

* Sun Aug 03 2006 Igor Foox <ifoox@redhat.com> - 1.0-0.4.b2
- Added dist tag to release.

* Sat Aug 02 2006 Igor Foox <ifoox@redhat.com> - 1.0-0.3.b2
- Removed unneccessary 0 epoch from required packages.
- Fixed dependance on specifically version 3.8.1 of junit.

* Tue Jun 27 2006 Igor Foox <ifoox@redhat.com> - 1.0-0.2.b2
- Removed Class-Path from ant-contrib.jar file.
- Renamed patches.

* Tue Jun 27 2006 Igor Foox <ifoox@redhat.com> - 1.0-0.1.b2
- Fixed release number to reflect beta status
- Removed Distribution and Vendor tags
- Fixed duplication in postun section
- Removed patch3, and used sed to fix line-endings instead

* Tue Jun 27 2006 Igor Foox <ifoox@redhat.com> - 1.0-1.b2
- Changed release-version to comply with FE standards
- Consolidated into -manual into main package
- Removed ghosting of the manual symlink
- Removed Epoch
- Run dos2unix over some manual files that have windows line endings
- Changed group for docs to Documentation
- Remove unused Source1
- Set Source0 to valid URL instead of just a file name
- Fix indentation
- Remove {push,pop}d and -c from %%setup
- Changed %%defattr in the %%files section to standard (-,root,root,-)

* Thu Jun 1 2006 Igor Foox <ifoox@redhat.com> - 0:1.0b2-1jpp_1fc
- Update to version 1.0b2
- Added native compilation
- Changed BuildRoot to what Extras expects

* Fri Aug 20 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.6-4jpp
- Upgrade to ant-1.6.2
- BuildReq/Req ant = 0:1.6.2
- Relax some other requirements

* Thu Jun 03 2004 Paul Nasrat <pauln@truemesh.com> - 0:0.6-3jpp
- Fix missing buildrequires

* Tue Jun 01 2004 Randy Watler <rwatler at finali.com> - 0:0.6-2jpp
- Upgrade to Ant 1.6.X

* Wed Mar 24 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.6-1jpp
- First JPackage release
